# std::basic_fstream<CharT,Traits>::rdbuf

From cppreference.com
< cpp‎ | io‎ | basic fstream

std::basic_filebuf <CharT, Traits>* rdbuf() const; |  | (since C++11)

Returns pointer to the underlying raw file device object.

### Parameters

(none)

### Return value

Pointer to the underlying raw file device.

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_fstream/rdbuf&oldid=50834"